QGIS Application - Feature request #15927

Y format parameter for Tile Server (XYZ) layers

2016-12-01 04:49 PM - Daniel Sanchez Pillot Gutiérrez

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Data Provider

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23844
Description

The new Tile Server layers work great for Google or OSM-like tile servers, however there's no option to select if the service follows the
TMS standard with the Y tile number starting at the bottom which generates connection errors when using servers that do follow the
standard, web clients like leaflet use a TMS=true parameter that could be easy to implement and allow for the selection of the tiles

convention used by the server. Could a feature like this be implemented for QGIS?

Associated revisions

Revision ccd5d752 - 2017-05-17 10:14 AM - Alessandro Pasotti
[bugfix] Fix broken inverted Y support in XYZ layers

This follows the convention used by OpenLayers, where

an inverted axis is indicated by {-y} in the URL

definition.

Fixes #15927

Needs backporting.

Revision bb7{95fb - 2017-05-17 10:40 AM - Alessandro Pasotti
[bugfix] Fix broken inverted Y support in XYZ layers

This follows the convention used by OpenLayers, where

an inverted axis is indicated by {-y} in the URL

definition.

Fixes #15927

(cherry-picked from ccd5d752254ce)

History

#1 - 2017-02-25 02:16 AM - Martin Dobias

Can you point me to a server | can use? It seems relatively difficult to find a publicly available TMS server to test the inverted Y axis...

#2 - 2017-03-09 10:06 AM - Daniel Sanchez Pillot Gutiérrez

Sure, here are a couple examples:

2024-05-22




http://demo.opengeo.org/geoserver/gwc/service/tms/1.0.0/ne:ne@EPSG:900913@png/{z}/{x}/{y}.png

http://demo.opengeo.org/geoserver/gwc/service/tms/1.0.0/nasa:bluemarble@EPSG:900913@jpg/{z}/{x}/{y}.irg

#3 - 2017-03-24 01:24 AM - Alessandro Pasotti

Probably related, OpenLayers has a convention to indicate an inverted axis in the template with {-y}, see:

https://github.com/openlayers/openlayers/issues/3923#issuecomment-125109362

#4 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#5 - 2017-05-16 03:03 PM - Alessandro Pasotti
- Category set to Data Provider

- Assignee set to Alessandro Pasotti

#6 - 2017-05-16 06:48 PM - Alessandro Pasotti
- Pull Request or Patch supplied changed from No to Yes

Proposed solution: https://github.com/qgis/QGIS/pull/4569

#7 - 2017-05-17 10:15 AM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|ccd5d752254cee7d972e4978cd1e5203b7fa36d3.
